
# requires the OpenCL patches
%define llvm_version 12.0.0

%define spirv_llvm_translator_version 12.0.0

Summary:	Intel Graphics Compute Runtime for OpenCL
Name:		opencl-clang
Version:	12.0.0
Release:	2
License:	University of Illinois/NCSA Open Source License
Group:		Libraries
Source0:	https://github.com/intel/opencl-clang/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	e8abbdba2d39f3f090d949dd8fc4737b
URL:		https://01.org/compute-runtime
BuildRequires:	SPIRV-LLVM-Translator-devel >= %{spirv_llvm_translator_version}
BuildRequires:	clang >= %{llvm_rpm_version}
BuildRequires:	clang-devel >= %{llvm_version}
BuildRequires:	cmake >= 3.4.3
BuildRequires:	llvm-devel >= %{llvm_version}
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Common clang is a thin wrapper library around clang. Common clang has
OpenCL-oriented API and is capable to compile OpenCL C kernels to
SPIR-V modules.

%package devel
Summary:	Header files for %{name} library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki %{name}
Group:		Development/Libraries
%requires_eq	clang-devel
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{name} library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki %{name}.

%prep
%setup -q

%build
install -d build
cd build
%cmake \
	-DUSE_PREBUILT_LLVM=ON \
	-DPREFERRED_LLVM_VERSION="%{llvm_version}" \
	-DLLVMSPIRV_INCLUDED_IN_LLVM=OFF \
	-DSPIRV_TRANSLATOR_DIR="%{_prefix}" \
	-DGIT_EXECUTABLE=/bin/false \
	../
%{__make}

cd ..

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_libdir}/libopencl-clang.so.12 $RPM_BUILD_ROOT%{_libdir}/libopencl-clang.so.%{llvm_version}
ln -s libopencl-clang.so.%{llvm_version} $RPM_BUILD_ROOT%{_libdir}/libopencl-clang.so.12
ln -sf libopencl-clang.so.%{llvm_version} $RPM_BUILD_ROOT%{_libdir}/libopencl-clang.so

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_libdir}/libopencl-clang.so.%{llvm_version}
%ghost %attr(755,root,root) %{_libdir}/libopencl-clang.so.12

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libopencl-clang.so
%{_includedir}/cclang
%changelog
* Mon Jul 12 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/opencl-clang.git;a=log;h=master

* Mon Jul 12 2021 Jan Palus <atler@pld-linux.org> 4bd6aa2
- llvm rebuild

* Wed May 26 2021 Jan Palus <atler@pld-linux.org> 649fde2
- up to final 12.0.0

* Tue May 25 2021 Jan Palus <atler@pld-linux.org> 77ea7f9
- macros for %cmake

* Tue May 25 2021 Jan Palus <atler@pld-linux.org> 2b3682a
- updated to snap from LLVM 12 branch (until proper release is made)

* Tue May 25 2021 Jan Rękorajski <baggins@pld-linux.org> 4c8ab36
- Release 4 (by relup.sh)

* Sun Jan 17 2021 Jan Palus <atler@pld-linux.org> ff437f4
- llvm rebuild
- release 3 (by relup.sh)

* Sat Jan 02 2021 Jan Rękorajski <baggins@pld-linux.org> c5a9dbb
- release 2 (by relup.sh)

* Fri Oct 30 2020 Jan Palus <atler@pld-linux.org> 16efc54
- up to 11.0.0

* Sat Jul 25 2020 Jan Palus <atler@pld-linux.org> d6a2878
- llvm rebuild
- release 2 (by relup.sh)

* Fri Apr 10 2020 Jan Palus <atler@pld-linux.org> dd4d326
- up to 10.0.0

* Sun Feb 09 2020 Jan Rękorajski <baggins@pld-linux.org> f5ada38
- release 2 (by relup.sh)

* Thu Dec 05 2019 Jan Palus <atler@pld-linux.org> 391f067
- up to 9.0.0

* Sun Sep 08 2019 Jan Palus <atler@pld-linux.org> 5b94334
- adjust for llvm 8 and spirv translator 8; rel 2

* Tue Jul 02 2019 Jacek Konieczny <j.konieczny@eggsoft.pl> 15cf855
- another fix to the LLVM/Clang dependencies

* Tue Jul 02 2019 Jacek Konieczny <j.konieczny@eggsoft.pl> ac26e2a
- require proper llvm, also for -devel

* Tue Jul 02 2019 Jacek Konieczny <j.konieczny@eggsoft.pl> eac18d9
- SPIRV-LLVM-Translator dependency fix

* Tue Jul 02 2019 Jacek Konieczny <j.konieczny@eggsoft.pl> 0a767a5
- fake git executable

* Mon Jul 01 2019 Jacek Konieczny <j.konieczny@eggsoft.pl> c7dfe9a
- new package

